//---------------------------------------------------------------------------

#include <vcl.h>
//     -
#include <fstream>
#include <iostream>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

void hexMultiplicationTable (std::streambuf* buffer, int num)
{
  std::ostream hexout(buffer);
  hexout << std::hex << std::showbase;

  for (int i=1; i<=num; ++i) {
      for (int j=1; j<=10; ++j) {
          hexout << i*j << ' ';
      }
      hexout << std::endl;
  }
} //   

int main (int argc, char* argv[])
{
  using namespace std;
  int num = 5;

  cout << ToRus(" ") << num
       << ToRus("    ") << endl;

  hexMultiplicationTable(cout.rdbuf(),num);

  cout << ToRus("  ") << num
       << ToRus("    ") << endl;

  getch();
  return 0;
}

//---------------------------------------------------------------------------
